[PATCH 10/35] abrt-python: add test executable

Richard Marko rmarko at redhat.com
Mon May 13 11:05:19 UTC 2013


Signed-off-by: Richard Marko <rmarko at redhat.com>
---
 src/python-problem/test | 9 +++++++++
 1 file changed, 9 insertions(+)
 create mode 100755 src/python-problem/test

diff --git a/src/python-problem/test b/src/python-problem/test
new file mode 100755
index 0000000..9e9a7f4
--- /dev/null
+++ b/src/python-problem/test
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+which nosetests &> /dev/null
+if [ $? -ne 0 ]; then
+    echo 'python-nose package required'
+    exit 1
+fi
+
+nosetests --with-coverage --cover-package=problem --nocapture --nologcapture --no-skip --verbose tests/*.py
-- 
1.8.1.4



More information about the Crash-catcher mailing list